	.file	"cube.c"
	.text
.Ltext0:
	.file 0 "/var/home/ehret/DEVELOP/3D/FLYSIMU/C" "OGL/cube.c"
	.globl	m_cubeMapTex
	.bss
	.align 4
	.type	m_cubeMapTex, @object
	.size	m_cubeMapTex, 4
m_cubeMapTex:
	.zero	4
	.globl	m_cubeMapInitialized
	.type	m_cubeMapInitialized, @object
	.size	m_cubeMapInitialized, 1
m_cubeMapInitialized:
	.zero	1
	.globl	m_viewportWidth
	.align 4
	.type	m_viewportWidth, @object
	.size	m_viewportWidth, 4
m_viewportWidth:
	.zero	4
	.globl	m_viewportHeight
	.align 4
	.type	m_viewportHeight, @object
	.size	m_viewportHeight, 4
m_viewportHeight:
	.zero	4
	.text
	.globl	onResize
	.type	onResize, @function
onResize:
.LFB6:
	.file 1 "OGL/cube.c"
	.loc 1 21 1
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$48, %rsp
	movl	%edi, -36(%rbp)
	movl	%esi, -40(%rbp)
	.loc 1 23 9
	movl	-40(%rbp), %edx
	movl	-36(%rbp), %eax
	movl	%edx, %ecx
	movl	%eax, %edx
	movl	$0, %esi
	movl	$0, %edi
	call	glViewport
	.loc 1 24 9
	movl	-40(%rbp), %edx
	movl	-36(%rbp), %eax
	movl	%edx, %ecx
	movl	%eax, %edx
	movl	$0, %esi
	movl	$0, %edi
	call	glScissor
	.loc 1 26 9
	movl	$5889, %edi
	call	glMatrixMode
	.loc 1 27 9
	call	glLoadIdentity
	.loc 1 30 24
	movsd	.LC0(%rip), %xmm0
	movsd	%xmm0, -8(%rbp)
	.loc 1 31 33
	pxor	%xmm0, %xmm0
	cvtsi2ssl	-36(%rbp), %xmm0
	.loc 1 31 50
	pxor	%xmm1, %xmm1
	cvtsi2ssl	-40(%rbp), %xmm1
	.loc 1 31 48
	divss	%xmm1, %xmm0
	.loc 1 31 24
	cvtss2sd	%xmm0, %xmm0
	movsd	%xmm0, -16(%rbp)
	.loc 1 32 24
	movsd	.LC1(%rip), %xmm0
	movsd	%xmm0, -24(%rbp)
	.loc 1 33 24
	movsd	.LC2(%rip), %xmm0
	movsd	%xmm0, -32(%rbp)
	.loc 1 36 2
	movsd	-32(%rbp), %xmm2
	movsd	-24(%rbp), %xmm1
	movsd	-16(%rbp), %xmm0
	movq	-8(%rbp), %rax
	movapd	%xmm2, %xmm3
	movapd	%xmm1, %xmm2
	movapd	%xmm0, %xmm1
	movq	%rax, %xmm0
	call	gluPerspective
	.loc 1 37 9
	movl	$5888, %edi
	call	glMatrixMode
	.loc 1 38 9
	call	glLoadIdentity
	.loc 1 39 1
	nop
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE6:
	.size	onResize, .-onResize
	.globl	beginCubeMapRendering
	.type	beginCubeMapRendering, @function
beginCubeMapRendering:
.LFB7:
	.loc 1 45 1
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$64, %rsp
	movl	%edi, -52(%rbp)
	.loc 1 48 9
	leaq	-48(%rbp), %rax
	movq	%rax, %rsi
	movl	$2978, %edi
	call	glGetIntegerv
	.loc 1 49 35
	movl	-40(%rbp), %eax
	.loc 1 49 25
	movl	%eax, m_viewportWidth(%rip)
	.loc 1 50 36
	movl	-36(%rbp), %eax
	.loc 1 50 26
	movl	%eax, m_viewportHeight(%rip)
	.loc 1 53 9
	movl	-52(%rbp), %edx
	movl	-52(%rbp), %eax
	movl	%edx, %ecx
	movl	%eax, %edx
	movl	$0, %esi
	movl	$0, %edi
	call	glViewport
	.loc 1 54 9
	movl	-52(%rbp), %edx
	movl	-52(%rbp), %eax
	movl	%edx, %ecx
	movl	%eax, %edx
	movl	$0, %esi
	movl	$0, %edi
	call	glScissor
	.loc 1 56 9
	movl	$5889, %edi
	call	glMatrixMode
	.loc 1 57 9
	call	glLoadIdentity
	.loc 1 60 24
	movsd	.LC3(%rip), %xmm0
	movsd	%xmm0, -8(%rbp)
	.loc 1 61 24
	movsd	.LC4(%rip), %xmm0
	movsd	%xmm0, -16(%rbp)
	.loc 1 62 24
	movsd	.LC5(%rip), %xmm0
	movsd	%xmm0, -24(%rbp)
	.loc 1 65 2
	movsd	-24(%rbp), %xmm2
	movsd	-16(%rbp), %xmm1
	movsd	.LC1(%rip), %xmm0
	movq	-8(%rbp), %rax
	movapd	%xmm2, %xmm3
	movapd	%xmm1, %xmm2
	movapd	%xmm0, %xmm1
	movq	%rax, %xmm0
	call	gluPerspective
	.loc 1 66 9
	movl	$5888, %edi
	call	glMatrixMode
	.loc 1 67 1
	nop
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE7:
	.size	beginCubeMapRendering, .-beginCubeMapRendering
	.globl	beginCubeMapFace
	.type	beginCubeMapFace, @function
beginCubeMapFace:
.LFB8:
	.loc 1 73 1
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$160, %rsp
	movl	%edi, -148(%rbp)
	.loc 1 74 23
	movss	.LC6(%rip), %xmm0
	movss	%xmm0, -144(%rbp)
	pxor	%xmm0, %xmm0
	movss	%xmm0, -140(%rbp)
	pxor	%xmm0, %xmm0
	movss	%xmm0, -136(%rbp)
	pxor	%xmm0, %xmm0
	movss	%xmm0, -132(%rbp)
	movss	.LC8(%rip), %xmm0
	movss	%xmm0, -128(%rbp)
	pxor	%xmm0, %xmm0
	movss	%xmm0, -124(%rbp)
	movss	.LC8(%rip), %xmm0
	movss	%xmm0, -120(%rbp)
	pxor	%xmm0, %xmm0
	movss	%xmm0, -116(%rbp)
	pxor	%xmm0, %xmm0
	movss	%xmm0, -112(%rbp)
	pxor	%xmm0, %xmm0
	movss	%xmm0, -108(%rbp)
	movss	.LC8(%rip), %xmm0
	movss	%xmm0, -104(%rbp)
	pxor	%xmm0, %xmm0
	movss	%xmm0, -100(%rbp)
	pxor	%xmm0, %xmm0
	movss	%xmm0, -96(%rbp)
	movss	.LC6(%rip), %xmm0
	movss	%xmm0, -92(%rbp)
	pxor	%xmm0, %xmm0
	movss	%xmm0, -88(%rbp)
	pxor	%xmm0, %xmm0
	movss	%xmm0, -84(%rbp)
	pxor	%xmm0, %xmm0
	movss	%xmm0, -80(%rbp)
	movss	.LC6(%rip), %xmm0
	movss	%xmm0, -76(%rbp)
	pxor	%xmm0, %xmm0
	movss	%xmm0, -72(%rbp)
	movss	.LC8(%rip), %xmm0
	movss	%xmm0, -68(%rbp)
	pxor	%xmm0, %xmm0
	movss	%xmm0, -64(%rbp)
	pxor	%xmm0, %xmm0
	movss	%xmm0, -60(%rbp)
	pxor	%xmm0, %xmm0
	movss	%xmm0, -56(%rbp)
	movss	.LC8(%rip), %xmm0
	movss	%xmm0, -52(%rbp)
	pxor	%xmm0, %xmm0
	movss	%xmm0, -48(%rbp)
	pxor	%xmm0, %xmm0
	movss	%xmm0, -44(%rbp)
	movss	.LC6(%rip), %xmm0
	movss	%xmm0, -40(%rbp)
	pxor	%xmm0, %xmm0
	movss	%xmm0, -36(%rbp)
	movss	.LC8(%rip), %xmm0
	movss	%xmm0, -32(%rbp)
	pxor	%xmm0, %xmm0
	movss	%xmm0, -28(%rbp)
	pxor	%xmm0, %xmm0
	movss	%xmm0, -24(%rbp)
	pxor	%xmm0, %xmm0
	movss	%xmm0, -20(%rbp)
	movss	.LC8(%rip), %xmm0
	movss	%xmm0, -16(%rbp)
	pxor	%xmm0, %xmm0
	movss	%xmm0, -12(%rbp)
	movss	.LC8(%rip), %xmm0
	movss	%xmm0, -8(%rbp)
	pxor	%xmm0, %xmm0
	movss	%xmm0, -4(%rbp)
	.loc 1 84 9
	movl	$256, %edi
	call	glClear
	.loc 1 85 9
	call	glLoadIdentity
	.loc 1 88 68
	movl	-148(%rbp), %eax
	movslq	%eax, %rdx
	movq	%rdx, %rax
	addq	%rax, %rax
	addq	%rdx, %rax
	salq	$3, %rax
	addq	%rbp, %rax
	subq	$124, %rax
	movss	(%rax), %xmm0
	.loc 1 86 9
	cvtss2sd	%xmm0, %xmm0
	.loc 1 88 50
	movl	-148(%rbp), %eax
	movslq	%eax, %rdx
	movq	%rdx, %rax
	addq	%rax, %rax
	addq	%rdx, %rax
	salq	$3, %rax
	addq	%rbp, %rax
	addq	$-128, %rax
	movss	(%rax), %xmm1
	.loc 1 86 9
	pxor	%xmm5, %xmm5
	cvtss2sd	%xmm1, %xmm5
	.loc 1 88 32
	movl	-148(%rbp), %eax
	movslq	%eax, %rdx
	movq	%rdx, %rax
	addq	%rax, %rax
	addq	%rdx, %rax
	salq	$3, %rax
	addq	%rbp, %rax
	subq	$132, %rax
	movss	(%rax), %xmm1
	.loc 1 86 9
	pxor	%xmm4, %xmm4
	cvtss2sd	%xmm1, %xmm4
	.loc 1 87 68
	movl	-148(%rbp), %eax
	movslq	%eax, %rdx
	movq	%rdx, %rax
	addq	%rax, %rax
	addq	%rdx, %rax
	salq	$3, %rax
	addq	%rbp, %rax
	subq	$136, %rax
	movss	(%rax), %xmm1
	.loc 1 86 9
	pxor	%xmm3, %xmm3
	cvtss2sd	%xmm1, %xmm3
	.loc 1 87 50
	movl	-148(%rbp), %eax
	movslq	%eax, %rdx
	movq	%rdx, %rax
	addq	%rax, %rax
	addq	%rdx, %rax
	salq	$3, %rax
	addq	%rbp, %rax
	subq	$140, %rax
	movss	(%rax), %xmm1
	.loc 1 86 9
	pxor	%xmm2, %xmm2
	cvtss2sd	%xmm1, %xmm2
	.loc 1 87 32
	movl	-148(%rbp), %eax
	movslq	%eax, %rdx
	movq	%rdx, %rax
	addq	%rax, %rax
	addq	%rdx, %rax
	salq	$3, %rax
	addq	%rbp, %rax
	subq	$144, %rax
	movss	(%rax), %xmm1
	.loc 1 86 9
	cvtss2sd	%xmm1, %xmm1
	subq	$8, %rsp
	leaq	-8(%rsp), %rsp
	movsd	%xmm0, (%rsp)
	movapd	%xmm5, %xmm7
	movapd	%xmm4, %xmm6
	movapd	%xmm3, %xmm5
	movapd	%xmm2, %xmm4
	movapd	%xmm1, %xmm3
	pxor	%xmm2, %xmm2
	pxor	%xmm1, %xmm1
	movq	.LC9(%rip), %rax
	movq	%rax, %xmm0
	call	gluLookAt
	addq	$16, %rsp
	.loc 1 89 1
	nop
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE8:
	.size	beginCubeMapFace, .-beginCubeMapFace
	.globl	finishCubeMapFace
	.type	finishCubeMapFace, @function
finishCubeMapFace:
.LFB9:
	.loc 1 95 1
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$16, %rsp
	movl	%edi, -4(%rbp)
	movl	%esi, -8(%rbp)
	.loc 1 96 9
	movl	m_cubeMapTex(%rip), %eax
	movl	%eax, %esi
	movl	$34067, %edi
	call	glBindTexture
	.loc 1 97 12
	movzbl	m_cubeMapInitialized(%rip), %eax
	.loc 1 97 11
	testb	%al, %al
	je	.L5
	.loc 1 99 68
	movl	-4(%rbp), %eax
	addl	$34069, %eax
	.loc 1 99 17
	movl	%eax, %edi
	movl	-8(%rbp), %eax
	pushq	%rax
	movl	-8(%rbp), %eax
	pushq	%rax
	movl	$0, %r9d
	movl	$0, %r8d
	movl	$0, %ecx
	movl	$0, %edx
	movl	$0, %esi
	call	glCopyTexSubImage2D
	addq	$16, %rsp
	.loc 1 107 1
	jmp	.L7
.L5:
	.loc 1 104 65
	movl	-4(%rbp), %eax
	addl	$34069, %eax
	.loc 1 104 17
	movl	%eax, %edi
	movl	-8(%rbp), %edx
	pushq	$0
	movl	-8(%rbp), %eax
	pushq	%rax
	movl	%edx, %r9d
	movl	$0, %r8d
	movl	$0, %ecx
	movl	$32849, %edx
	movl	$0, %esi
	call	glCopyTexImage2D
	addq	$16, %rsp
.L7:
	.loc 1 107 1
	nop
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE9:
	.size	finishCubeMapFace, .-finishCubeMapFace
	.globl	endCubeMapRendering
	.type	endCubeMapRendering, @function
endCubeMapRendering:
.LFB10:
	.loc 1 113 1
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	.loc 1 114 30
	movb	$1, m_cubeMapInitialized(%rip)
	.loc 1 115 9
	movl	m_viewportHeight(%rip), %edx
	movl	m_viewportWidth(%rip), %eax
	movl	%edx, %esi
	movl	%eax, %edi
	call	onResize
	.loc 1 116 1
	nop
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE10:
	.size	endCubeMapRendering, .-endCubeMapRendering
	.section	.rodata
	.align 8
.LC0:
	.long	0
	.long	1078591488
	.align 8
.LC1:
	.long	0
	.long	1072693248
	.align 8
.LC2:
	.long	0
	.long	1083129856
	.align 8
.LC3:
	.long	0
	.long	1079410688
	.align 8
.LC4:
	.long	-1610612736
	.long	1069128089
	.align 8
.LC5:
	.long	0
	.long	1079574528
	.align 4
.LC6:
	.long	1065353216
	.align 4
.LC8:
	.long	-1082130432
	.align 8
.LC9:
	.long	0
	.long	0
	.text
.Letext0:
	.file 2 "/usr/include/GL/glew.h"
	.file 3 "/usr/include/GL/glu.h"
	.section	.debug_info,"",@progbits
.Ldebug_info0:
	.long	0x42e
	.value	0x5
	.byte	0x1
	.byte	0x8
	.long	.Ldebug_abbrev0
	.uleb128 0xd
	.long	.LASF48
	.byte	0x1d
	.long	.LASF0
	.long	.LASF1
	.quad	.Ltext0
	.quad	.Letext0-.Ltext0
	.long	.Ldebug_line0
	.uleb128 0x2
	.byte	0x8
	.byte	0x7
	.long	.LASF2
	.uleb128 0x2
	.byte	0x4
	.byte	0x7
	.long	.LASF3
	.uleb128 0x2
	.byte	0x1
	.byte	0x8
	.long	.LASF4
	.uleb128 0x2
	.byte	0x2
	.byte	0x7
	.long	.LASF5
	.uleb128 0x2
	.byte	0x1
	.byte	0x6
	.long	.LASF6
	.uleb128 0x2
	.byte	0x2
	.byte	0x5
	.long	.LASF7
	.uleb128 0xe
	.byte	0x4
	.byte	0x5
	.string	"int"
	.uleb128 0x2
	.byte	0x8
	.byte	0x5
	.long	.LASF8
	.uleb128 0x2
	.byte	0x1
	.byte	0x6
	.long	.LASF9
	.uleb128 0x2
	.byte	0x8
	.byte	0x5
	.long	.LASF10
	.uleb128 0x2
	.byte	0x8
	.byte	0x7
	.long	.LASF11
	.uleb128 0x2
	.byte	0x4
	.byte	0x4
	.long	.LASF12
	.uleb128 0x2
	.byte	0x8
	.byte	0x4
	.long	.LASF13
	.uleb128 0x2
	.byte	0x10
	.byte	0x4
	.long	.LASF14
	.uleb128 0x5
	.long	.LASF15
	.value	0x123
	.byte	0x16
	.long	0x35
	.uleb128 0x5
	.long	.LASF16
	.value	0x124
	.byte	0x16
	.long	0x35
	.uleb128 0x5
	.long	.LASF17
	.value	0x125
	.byte	0x16
	.long	0x35
	.uleb128 0x5
	.long	.LASF18
	.value	0x126
	.byte	0xd
	.long	0x58
	.uleb128 0x5
	.long	.LASF19
	.value	0x127
	.byte	0xd
	.long	0x58
	.uleb128 0x5
	.long	.LASF20
	.value	0x12e
	.byte	0xf
	.long	0x7b
	.uleb128 0xa
	.long	0xcc
	.uleb128 0x5
	.long	.LASF21
	.value	0x130
	.byte	0x10
	.long	0x82
	.uleb128 0xa
	.long	0xdd
	.uleb128 0xf
	.byte	0x8
	.long	0xb4
	.uleb128 0x6
	.long	.LASF22
	.byte	0xc
	.byte	0x8
	.long	0xa8
	.uleb128 0x9
	.byte	0x3
	.quad	m_cubeMapTex
	.uleb128 0x6
	.long	.LASF23
	.byte	0xd
	.byte	0x6
	.long	0x66
	.uleb128 0x9
	.byte	0x3
	.quad	m_cubeMapInitialized
	.uleb128 0x6
	.long	.LASF24
	.byte	0xe
	.byte	0x5
	.long	0x58
	.uleb128 0x9
	.byte	0x3
	.quad	m_viewportWidth
	.uleb128 0x6
	.long	.LASF25
	.byte	0xf
	.byte	0x5
	.long	0x58
	.uleb128 0x9
	.byte	0x3
	.quad	m_viewportHeight
	.uleb128 0x3
	.long	.LASF26
	.byte	0x2
	.value	0x395
	.long	0x17d
	.uleb128 0x1
	.long	0x90
	.uleb128 0x1
	.long	0xb4
	.uleb128 0x1
	.long	0x90
	.uleb128 0x1
	.long	0xb4
	.uleb128 0x1
	.long	0xb4
	.uleb128 0x1
	.long	0xc0
	.uleb128 0x1
	.long	0xc0
	.uleb128 0x1
	.long	0xb4
	.byte	0
	.uleb128 0x3
	.long	.LASF27
	.byte	0x2
	.value	0x397
	.long	0x1b2
	.uleb128 0x1
	.long	0x90
	.uleb128 0x1
	.long	0xb4
	.uleb128 0x1
	.long	0xb4
	.uleb128 0x1
	.long	0xb4
	.uleb128 0x1
	.long	0xb4
	.uleb128 0x1
	.long	0xb4
	.uleb128 0x1
	.long	0xc0
	.uleb128 0x1
	.long	0xc0
	.byte	0
	.uleb128 0x3
	.long	.LASF28
	.byte	0x2
	.value	0x364
	.long	0x1c9
	.uleb128 0x1
	.long	0x90
	.uleb128 0x1
	.long	0xa8
	.byte	0
	.uleb128 0x3
	.long	.LASF29
	.byte	0x3
	.value	0x13a
	.long	0x203
	.uleb128 0x1
	.long	0xdd
	.uleb128 0x1
	.long	0xdd
	.uleb128 0x1
	.long	0xdd
	.uleb128 0x1
	.long	0xdd
	.uleb128 0x1
	.long	0xdd
	.uleb128 0x1
	.long	0xdd
	.uleb128 0x1
	.long	0xdd
	.uleb128 0x1
	.long	0xdd
	.uleb128 0x1
	.long	0xdd
	.byte	0
	.uleb128 0x3
	.long	.LASF30
	.byte	0x2
	.value	0x369
	.long	0x215
	.uleb128 0x1
	.long	0x9c
	.byte	0
	.uleb128 0x3
	.long	.LASF31
	.byte	0x2
	.value	0x3c7
	.long	0x22c
	.uleb128 0x1
	.long	0x90
	.uleb128 0x1
	.long	0xee
	.byte	0
	.uleb128 0x3
	.long	.LASF32
	.byte	0x3
	.value	0x147
	.long	0x24d
	.uleb128 0x1
	.long	0xdd
	.uleb128 0x1
	.long	0xdd
	.uleb128 0x1
	.long	0xdd
	.uleb128 0x1
	.long	0xdd
	.byte	0
	.uleb128 0x10
	.long	.LASF49
	.byte	0x2
	.value	0x3fc
	.byte	0x17
	.uleb128 0x3
	.long	.LASF33
	.byte	0x2
	.value	0x40d
	.long	0x268
	.uleb128 0x1
	.long	0x90
	.byte	0
	.uleb128 0x3
	.long	.LASF34
	.byte	0x2
	.value	0x45a
	.long	0x289
	.uleb128 0x1
	.long	0xb4
	.uleb128 0x1
	.long	0xb4
	.uleb128 0x1
	.long	0xc0
	.uleb128 0x1
	.long	0xc0
	.byte	0
	.uleb128 0x3
	.long	.LASF35
	.byte	0x2
	.value	0x4ae
	.long	0x2aa
	.uleb128 0x1
	.long	0xb4
	.uleb128 0x1
	.long	0xb4
	.uleb128 0x1
	.long	0xc0
	.uleb128 0x1
	.long	0xc0
	.byte	0
	.uleb128 0x11
	.long	.LASF50
	.byte	0x1
	.byte	0x70
	.byte	0x6
	.quad	.LFB10
	.quad	.LFE10-.LFB10
	.uleb128 0x1
	.byte	0x9c
	.uleb128 0x8
	.long	.LASF37
	.byte	0x5e
	.quad	.LFB9
	.quad	.LFE9-.LFB9
	.uleb128 0x1
	.byte	0x9c
	.long	0x2fd
	.uleb128 0xb
	.string	"TEX"
	.byte	0x5e
	.byte	0x1c
	.long	0x58
	.uleb128 0x2
	.byte	0x91
	.sleb128 -20
	.uleb128 0x7
	.long	.LASF36
	.byte	0x5e
	.byte	0x25
	.long	0x58
	.uleb128 0x2
	.byte	0x91
	.sleb128 -24
	.byte	0
	.uleb128 0x8
	.long	.LASF38
	.byte	0x48
	.quad	.LFB8
	.quad	.LFE8-.LFB8
	.uleb128 0x1
	.byte	0x9c
	.long	0x338
	.uleb128 0xb
	.string	"TEX"
	.byte	0x48
	.byte	0x1b
	.long	0x58
	.uleb128 0x3
	.byte	0x91
	.sleb128 -164
	.uleb128 0x4
	.long	.LASF40
	.byte	0x4a
	.byte	0x17
	.long	0x338
	.uleb128 0x3
	.byte	0x91
	.sleb128 -160
	.byte	0
	.uleb128 0xc
	.long	0xd8
	.long	0x34e
	.uleb128 0x9
	.long	0x2e
	.byte	0x5
	.uleb128 0x9
	.long	0x2e
	.byte	0x5
	.byte	0
	.uleb128 0x8
	.long	.LASF39
	.byte	0x2c
	.quad	.LFB7
	.quad	.LFE7-.LFB7
	.uleb128 0x1
	.byte	0x9c
	.long	0x3b2
	.uleb128 0x7
	.long	.LASF36
	.byte	0x2c
	.byte	0x20
	.long	0x58
	.uleb128 0x3
	.byte	0x91
	.sleb128 -68
	.uleb128 0x4
	.long	.LASF41
	.byte	0x2f
	.byte	0xf
	.long	0x3b2
	.uleb128 0x2
	.byte	0x91
	.sleb128 -64
	.uleb128 0x4
	.long	.LASF42
	.byte	0x3c
	.byte	0x18
	.long	0xe9
	.uleb128 0x2
	.byte	0x91
	.sleb128 -24
	.uleb128 0x4
	.long	.LASF43
	.byte	0x3d
	.byte	0x18
	.long	0xe9
	.uleb128 0x2
	.byte	0x91
	.sleb128 -32
	.uleb128 0x4
	.long	.LASF44
	.byte	0x3e
	.byte	0x18
	.long	0xe9
	.uleb128 0x2
	.byte	0x91
	.sleb128 -40
	.byte	0
	.uleb128 0xc
	.long	0xb4
	.long	0x3c2
	.uleb128 0x9
	.long	0x2e
	.byte	0x3
	.byte	0
	.uleb128 0x12
	.long	.LASF51
	.byte	0x1
	.byte	0x14
	.byte	0x6
	.quad	.LFB6
	.quad	.LFE6-.LFB6
	.uleb128 0x1
	.byte	0x9c
	.uleb128 0x7
	.long	.LASF45
	.byte	0x14
	.byte	0x13
	.long	0x58
	.uleb128 0x2
	.byte	0x91
	.sleb128 -52
	.uleb128 0x7
	.long	.LASF46
	.byte	0x14
	.byte	0x1e
	.long	0x58
	.uleb128 0x2
	.byte	0x91
	.sleb128 -56
	.uleb128 0x4
	.long	.LASF42
	.byte	0x1e
	.byte	0x18
	.long	0xe9
	.uleb128 0x2
	.byte	0x91
	.sleb128 -24
	.uleb128 0x4
	.long	.LASF47
	.byte	0x1f
	.byte	0x18
	.long	0xe9
	.uleb128 0x2
	.byte	0x91
	.sleb128 -32
	.uleb128 0x4
	.long	.LASF43
	.byte	0x20
	.byte	0x18
	.long	0xe9
	.uleb128 0x2
	.byte	0x91
	.sleb128 -40
	.uleb128 0x4
	.long	.LASF44
	.byte	0x21
	.byte	0x18
	.long	0xe9
	.uleb128 0x2
	.byte	0x91
	.sleb128 -48
	.byte	0
	.byte	0
	.section	.debug_abbrev,"",@progbits
.Ldebug_abbrev0:
	.uleb128 0x1
	.uleb128 0x5
	.byte	0
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x2
	.uleb128 0x24
	.byte	0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.byte	0
	.byte	0
	.uleb128 0x3
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x39
	.uleb128 0x21
	.sleb128 23
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x3c
	.uleb128 0x19
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x4
	.uleb128 0x34
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0x21
	.sleb128 1
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0x18
	.byte	0
	.byte	0
	.uleb128 0x5
	.uleb128 0x16
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0x21
	.sleb128 2
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x6
	.uleb128 0x34
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0x21
	.sleb128 1
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x2
	.uleb128 0x18
	.byte	0
	.byte	0
	.uleb128 0x7
	.uleb128 0x5
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0x21
	.sleb128 1
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0x18
	.byte	0
	.byte	0
	.uleb128 0x8
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0x21
	.sleb128 1
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x39
	.uleb128 0x21
	.sleb128 6
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x7
	.uleb128 0x40
	.uleb128 0x18
	.uleb128 0x7c
	.uleb128 0x19
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x9
	.uleb128 0x21
	.byte	0
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2f
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0xa
	.uleb128 0x26
	.byte	0
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0xb
	.uleb128 0x5
	.byte	0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0x21
	.sleb128 1
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0x18
	.byte	0
	.byte	0
	.uleb128 0xc
	.uleb128 0x1
	.byte	0x1
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0xd
	.uleb128 0x11
	.byte	0x1
	.uleb128 0x25
	.uleb128 0xe
	.uleb128 0x13
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0x1f
	.uleb128 0x1b
	.uleb128 0x1f
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x7
	.uleb128 0x10
	.uleb128 0x17
	.byte	0
	.byte	0
	.uleb128 0xe
	.uleb128 0x24
	.byte	0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0x8
	.byte	0
	.byte	0
	.uleb128 0xf
	.uleb128 0xf
	.byte	0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x10
	.uleb128 0x2e
	.byte	0
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x3c
	.uleb128 0x19
	.byte	0
	.byte	0
	.uleb128 0x11
	.uleb128 0x2e
	.byte	0
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x7
	.uleb128 0x40
	.uleb128 0x18
	.uleb128 0x7c
	.uleb128 0x19
	.byte	0
	.byte	0
	.uleb128 0x12
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x7
	.uleb128 0x40
	.uleb128 0x18
	.uleb128 0x7c
	.uleb128 0x19
	.byte	0
	.byte	0
	.byte	0
	.section	.debug_aranges,"",@progbits
	.long	0x2c
	.value	0x2
	.long	.Ldebug_info0
	.byte	0x8
	.byte	0
	.value	0
	.value	0
	.quad	.Ltext0
	.quad	.Letext0-.Ltext0
	.quad	0
	.quad	0
	.section	.debug_line,"",@progbits
.Ldebug_line0:
	.section	.debug_str,"MS",@progbits,1
.LASF32:
	.string	"gluPerspective"
.LASF41:
	.string	"viewport"
.LASF27:
	.string	"glCopyTexSubImage2D"
.LASF49:
	.string	"glLoadIdentity"
.LASF21:
	.string	"GLdouble"
.LASF31:
	.string	"glGetIntegerv"
.LASF43:
	.string	"zNear"
.LASF17:
	.string	"GLuint"
.LASF34:
	.string	"glScissor"
.LASF35:
	.string	"glViewport"
.LASF50:
	.string	"endCubeMapRendering"
.LASF48:
	.string	"GNU C11 12.2.1 20220819 (Red Hat 12.2.1-2) -mmmx -msse -msse2 -mssse3 -mtune=generic -march=x86-64 -g2 -ggdb -O0 -std=gnu11"
.LASF26:
	.string	"glCopyTexImage2D"
.LASF11:
	.string	"long long unsigned int"
.LASF23:
	.string	"m_cubeMapInitialized"
.LASF4:
	.string	"unsigned char"
.LASF22:
	.string	"m_cubeMapTex"
.LASF15:
	.string	"GLenum"
.LASF2:
	.string	"long unsigned int"
.LASF5:
	.string	"short unsigned int"
.LASF16:
	.string	"GLbitfield"
.LASF37:
	.string	"finishCubeMapFace"
.LASF33:
	.string	"glMatrixMode"
.LASF46:
	.string	"height"
.LASF13:
	.string	"double"
.LASF29:
	.string	"gluLookAt"
.LASF42:
	.string	"fieldOfView"
.LASF3:
	.string	"unsigned int"
.LASF44:
	.string	"zFar"
.LASF9:
	.string	"char"
.LASF18:
	.string	"GLint"
.LASF24:
	.string	"m_viewportWidth"
.LASF10:
	.string	"long long int"
.LASF12:
	.string	"float"
.LASF28:
	.string	"glBindTexture"
.LASF36:
	.string	"texSize"
.LASF47:
	.string	"aspect"
.LASF45:
	.string	"width"
.LASF19:
	.string	"GLsizei"
.LASF7:
	.string	"short int"
.LASF30:
	.string	"glClear"
.LASF39:
	.string	"beginCubeMapRendering"
.LASF51:
	.string	"onResize"
.LASF38:
	.string	"beginCubeMapFace"
.LASF8:
	.string	"long int"
.LASF14:
	.string	"long double"
.LASF25:
	.string	"m_viewportHeight"
.LASF6:
	.string	"signed char"
.LASF40:
	.string	"ROTATION"
.LASF20:
	.string	"GLfloat"
	.section	.debug_line_str,"MS",@progbits,1
.LASF1:
	.string	"/var/home/ehret/DEVELOP/3D/FLYSIMU/C"
.LASF0:
	.string	"OGL/cube.c"
	.ident	"GCC: (GNU) 12.2.1 20220819 (Red Hat 12.2.1-2)"
	.section	.note.GNU-stack,"",@progbits
